MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026508Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-07-31 12:292016-06-23 16:49
Reporterstv 
Assigned Toski 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026508: Add the possibility to get label from XCAFPrs_AISObject
DescriptionIt's useful to have possibility to get the label from XCAFPrs_AISObject. This allow to quick and precise determinate the label (and also shape) in XCAF document which associated with given presentation.
Steps To ReproduceInline method XCAFPrs_AISObject::GetLabel() was added.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027632closedbugmaster Visualization, XCAFPrs_AISObject - provide method for assigning new Label in the document 

-  Notes
(0043747)
git (administrator)
2015-07-31 14:01

Branch CR26508 has been created by stv.

SHA-1: deabb146bc988923eca4d8e70387f95f65f3107c


Detailed log of new commits:

Author: stv
Date: Fri Jul 31 12:59:48 2015 +0300

    0026508: Add the possibility to get label from XCAFPrs_AISObject.
(0043935)
gka (developer)
2015-08-10 12:37
edited on: 2015-08-10 12:37

Branch CR26508 is ready to be tested

(0043939)
git (administrator)
2015-08-10 14:51

Branch CR26508 has been updated forcibly by mkv.

SHA-1: 374d606cb52f0d2f4151184c5ca29e85f39fa9a0
(0043991)
mkv (tester)
2015-08-11 17:51

Dear BugMaster,
Branch CR26508 was rebased on current master of occt git-repository.
SHA-1: 374d606cb52f0d2f4151184c5ca29e85f39fa9a0
(0043992)
mkv (tester)
2015-08-11 17:51

Dear BugMaster,
Branch CR26508 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 374d606cb52f0d2f4151184c5ca29e85f39fa9a0

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90692838 / 91018892 [-0.36%]
Total CPU difference: 18032.019999999102 / 17854.03999999889 [+1.00%]
products component :
Total MEMORY difference: 24895894 / 24839770 [+0.23%]
Total CPU difference: 7038.690000000006 / 7006.500000000006 [+0.46%]

Testing on Windows:
occt component :
Total MEMORY difference: 56905149 / 56928396 [-0.04%]
Total CPU difference: 16576.71306029887 / 16688.25377529903 [-0.67%]
products component :
Total MEMORY difference: 16006613 / 16013849 [-0.05%]
Total CPU difference: 5150.0454128999545 / 5275.751018699962 [-2.38%]

There are no differences in images found by testdiff.
(0044116)
git (administrator)
2015-08-14 10:51

Branch CR26508 has been deleted by inv.

SHA-1: 374d606cb52f0d2f4151184c5ca29e85f39fa9a0

- Related Changesets
occt: master 773d3a5a
Timestamp: 2015-07-31 09:59:48
Author: stv
Committer: ski
Details ] Diff ]
0026508: Add the possibility to get label from XCAFPrs_AISObject.
mod - src/XCAFPrs/XCAFPrs_AISObject.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-31 12:29 stv New Issue
2015-07-31 12:29 stv Assigned To => gka
2015-07-31 12:29 stv Assigned To gka => stv
2015-07-31 14:01 git Note Added: 0043747
2015-07-31 14:03 stv Assigned To stv => gka
2015-07-31 14:03 stv Status new => resolved
2015-07-31 14:03 stv Steps to Reproduce Updated View Revisions
2015-08-10 12:37 gka Note Added: 0043935
2015-08-10 12:37 gka Assigned To gka => bugmaster
2015-08-10 12:37 gka Status resolved => reviewed
2015-08-10 12:37 gka Note Edited: 0043935 View Revisions
2015-08-10 14:24 mkv Assigned To bugmaster => mkv
2015-08-10 14:51 git Note Added: 0043939
2015-08-11 17:51 mkv Note Added: 0043991
2015-08-11 17:51 mkv Note Added: 0043992
2015-08-11 17:51 mkv Assigned To mkv => bugmaster
2015-08-11 17:51 mkv Status reviewed => tested
2015-08-11 17:51 mkv Test case number => Not needed
2015-08-14 10:26 ski Changeset attached => occt master 773d3a5a
2015-08-14 10:26 ski Assigned To bugmaster => ski
2015-08-14 10:26 ski Status tested => verified
2015-08-14 10:26 ski Resolution open => fixed
2015-08-14 10:51 git Note Added: 0044116
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed
2016-06-23 16:49 kgv Relationship added related to 0027632


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker